org.multiverse.stms.gamma

## Interface GammaTxnRefFactory

All Superinterfaces:
  TxnRefFactory

    public interface GammaTxnRefFactory
    extends TxnRefFactory

A `TxnRefFactory` tailored for the GammaStm.

### Method Summary

Methods
`GammaTxnBoolean` `newTxnBoolean(boolean value)` Creates a committed TxnBoolean.
`GammaTxnDouble` `newTxnDouble(double value)` Creates a committed TxnDouble.
`GammaTxnInteger` `newTxnInteger(int value)` Creates a committed TxnInteger.
`GammaTxnLong` `newTxnLong(long value)` Creates a committed TxnLong.
`<E> GammaTxnRef<E>` `newTxnRef(E value)` Creates a committed TxnRef.

### Method Detail

#### newTxnRef

    <E> GammaTxnRef<E> newTxnRef(E value)

Description copied from interface: `TxnRefFactory`
Creates a committed TxnRef.

Specified by:
  `newTxnRef` in interface `TxnRefFactory`
Parameters:
  `value` - the initial value.
Returns:
  the created TxnRef.

#### newTxnInteger

    GammaTxnInteger newTxnInteger(int value)

Description copied from interface: `TxnRefFactory`
Creates a committed TxnInteger.

Specified by:
  `newTxnInteger` in interface `TxnRefFactory`
Parameters:
  `value` - the initial value.
Returns:
  the created TxnInteger.

#### newTxnBoolean

    GammaTxnBoolean newTxnBoolean(boolean value)

Description copied from interface: `TxnRefFactory`
Creates a committed TxnBoolean.

Specified by:
  `newTxnBoolean` in interface `TxnRefFactory`
Parameters:
  `value` - the initial value.
Returns:
  the created TxnBoolean.

#### newTxnDouble

    GammaTxnDouble newTxnDouble(double value)

Description copied from interface: `TxnRefFactory`
Creates a committed TxnDouble.

Specified by:
  `newTxnDouble` in interface `TxnRefFactory`
Parameters:
  `value` - the initial value.
Returns:
  the created TxnDouble.

#### newTxnLong

    GammaTxnLong newTxnLong(long value)

Description copied from interface: `TxnRefFactory`
Creates a committed TxnLong.

Specified by:
  `newTxnLong` in interface `TxnRefFactory`
Parameters:
  `value` - the initial value.
Returns:
  the created TxnLong.